Features Pricing Regions Support Start free Log in FR

Get a run

Retrieve a single run by ID, including full summary statistics.

GET /v1/runs/{id}

Requires scope: runs:read

Path parameters

ParameterTypeRequiredDescription
id integer Required Run ID.

Example request

curl https://api.cache-boost.com/v1/runs/88 \
  -H "Authorization: Bearer cb_live_YOUR_KEY"

Response

Returns 200 OK with the run object including boost name and site ID.

{
  "id": 88,
  "boost_id": 15,
  "boost_name": "Daily warm",
  "site_id": 42,
  "status": "done",
  "status_message": null,
  "started_at": "2025-01-15T01:00:05Z",
  "finished_at": "2025-01-15T01:04:22Z",
  "summary": {
    "total_calls": 1240,
    "successful_calls": 1238,
    "failed_calls": 2,
    "cache_hits": 1165,
    "average_response_time_ms": 112.5,
    "pops": {"CDG": 620, "AMS": 618}
  },
  "created_at": "2025-01-15T01:00:00Z"
}

Errors

CodeDescription
401Missing or invalid API key.
403Insufficient scope or access denied.
404Run not found.